Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# SMaterialLayer.h File Reference

`#include "matrix4.h"`
`#include "irrAllocator.h"`

Go to the source code of this file.

## Classes

class | irr::video::SMaterialLayer
| Struct for holding material parameters which exist per texture layer. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::video::E_TEXTURE_CLAMP { irr::video::ETC_REPEAT = 0, irr::video::ETC_CLAMP, irr::video::ETC_CLAMP_TO_EDGE, irr::video::ETC_CLAMP_TO_BORDER, irr::video::ETC_MIRROR, irr::video::ETC_MIRROR_CLAMP, irr::video::ETC_MIRROR_CLAMP_TO_EDGE, irr::video::ETC_MIRROR_CLAMP_TO_BORDER }
| Texture coord clamp mode outside [0.0, 1.0]. More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:59 2010 by Doxygen (1.6.2)